Bug 1309680 - Mostly black screen after screensaver closes in LightDM
Mostly black screen after screensaver closes in LightDM
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 08:04 EST by Jonathan Dieter
Modified: 2016-12-20 13:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:48:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of black screen (3.44 MB, image/jpeg)
2016-02-18 08:06 EST, Jonathan Dieter
no flags Details
Picture of black screen next to working screen from same system (3.75 MB, image/jpeg)
2016-02-18 08:07 EST, Jonathan Dieter
no flags Details
Xorg log (20.37 KB, text/plain)
2016-02-18 08:08 EST, Jonathan Dieter
no flags Details

  None (edit)
Description Jonathan Dieter 2016-02-18 08:04:24 EST
Description of problem:
The LightDM login screen only shows active control after the screensaver closes; the rest of the display is black.  This is on a multiseat system with three external AMD video cards and the one built-in Intel one.  The AMD GPUs show the login screen correctly.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.99.917-20.20160119.fc23.x86_64 (rebuilt from koji)

How reproducible:
Always

Steps to Reproduce:
1. Boot system
2. Wait for xscreensaver to activate
3. Move mouse or press key on keyboard

Actual results:
Screen is completely black except the active control.  If you type in your username, and press tab, the next control also appears.  Switching to Ctrl-Alt-F2, and then back to Ctrl-Alt-F1 fixes it as well.

Expected results:
Login screen appears properly

Additional info:
I'm using a koji build because I can't get DRI2 working while the external video cards are plugged in.  DRI3 works perfectly except for this glitch.  I have seen this happen on a single-seat system that we have that only has an Intel display.

FWIW, we're using LightDM as our display manager because it allows us to run xscreensaver, and we're using lightdm-kde-greeter as our greeter.

I've tried rebuilding xorg-x11-drv-intel-2.99.917-15.20150729.fc23.x86_64 with DRI3 enabled, and it has the same problem.  Our old fully updated F21 systems did not have this problem, but I've run into compile errors trying to build anything older for F23.
Comment 1 Jonathan Dieter 2016-02-18 08:06 EST
Created attachment 1128217 [details]
Picture of black screen
Comment 2 Jonathan Dieter 2016-02-18 08:07 EST
Created attachment 1128218 [details]
Picture of black screen next to working screen from same system
Comment 3 Jonathan Dieter 2016-02-18 08:08 EST
Created attachment 1128219 [details]
Xorg log
Comment 4 Jonathan Dieter 2016-02-22 04:20:13 EST
After spending some time trying to debug this, it appears that the driver isn't honoring the VisibilityNotify event:

   VisibilityNotify event, serial 16, synthetic NO, window 0x1800001,
       state VisibilityUnobscured

   Expose event, serial 16, synthetic NO, window 0x1800001,
       (0,0), width 178, height 10, count 3

   Expose event, serial 16, synthetic NO, window 0x1800001,
       (0,10), width 10, height 58, count 2

   Expose event, serial 16, synthetic NO, window 0x1800001,
       (68,10), width 110, height 58, count 1

   Expose event, serial 16, synthetic NO, window 0x1800001,
       (0,68), width 178, height 110, count 0

---> Screensaver kicks in

   VisibilityNotify event, serial 28, synthetic NO, window 0x1800001,
       state VisibilityFullyObscured

   ColormapNotify event, serial 28, synthetic NO, window 0x1800001,
       colormap 0x22, new NO, state ColormapUninstalled

---> Mouse is moved

   ColormapNotify event, serial 28, synthetic NO, window 0x1800001,
       colormap 0x22, new NO, state ColormapInstalled

   VisibilityNotify event, serial 28, synthetic NO, window 0x1800001,
       state VisibilityUnobscured

---> Login screen should be shown now, but display is completely black

   Expose event, serial 28, synthetic NO, window 0x1800001,
       (0,0), width 178, height 10, count 3

   Expose event, serial 28, synthetic NO, window 0x1800001,
       (0,10), width 10, height 58, count 2

   Expose event, serial 28, synthetic NO, window 0x1800001,
       (68,10), width 110, height 58, count 1

   Expose event, serial 28, synthetic NO, window 0x1800001,
       (0,68), width 178, height 110, count 0

---> Username box is now showing
Comment 5 Fedora End Of Life 2016-11-24 10:37:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 13:48:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.